Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452493 - Noise from left speaker
Summary: Noise from left speaker
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 12:50 UTC by Alexey Kuznetsov
Modified: 2009-12-18 06:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 06:13:40 UTC


Attachments (Terms of Use)
alsa-info.txt (deleted)
2009-08-07 11:22 UTC, Uros Bizjak
no flags Details


Links
System ID Priority Status Summary Last Updated
ALSA Project 4610 None None None Never
Launchpad 266927 None None None Never

Description Alexey Kuznetsov 2008-06-23 12:50:59 UTC
I use MacBook pro with Fedora 8, Windows XP, Mac OS X Leopard. When i run music
player under fedora i can hear noise from left speaker. that noise look like
damaged speaker, with hole in membrane or water. That never happens on Windows
or OS X with any kind of music and that look like bug in alsa or music codec.

To reach that effect you can run any sound or test. For example you can hear a
abnormal hard sounds (from left speaker only) when you run  aplay
/usr/share/sounds/alsa/Noise.wav

Comment 1 Alexey Kuznetsov 2008-06-29 22:28:08 UTC
that happens with: last.fm client, flash10 beta (youtube.com).

never happens: amarok.

Comment 2 Alexey Kuznetsov 2008-08-08 00:35:06 UTC
That happens time to time. Killing X by Alt+Ctl+Backspace few times can solve problem.

Comment 3 Alexey Kuznetsov 2008-08-23 23:07:41 UTC
Noise come from left speaker independ i use my notebook speakers or headphones.

Comment 4 Jaroslav Kysela 2008-09-29 07:23:27 UTC
It looks like a PCI DMA timing related problem. It would be probably difficult to solve it.

Comment 5 Alexey Kuznetsov 2008-09-29 11:47:00 UTC
look like it solved in 2.6.27 build. i continue playing with development kernel...

Comment 6 Alexey Kuznetsov 2008-10-02 09:01:44 UTC
happens again. just not all time reproducible.

Comment 7 Alexey Kuznetsov 2009-02-04 15:11:34 UTC
suspend/resume can temporally fix this issue (until next boot).

Comment 8 Uros Bizjak 2009-08-07 11:21:16 UTC
This problem also happens on latest x86_64 Fedora 11 with 2.6.29.6-217.2.3.fc11.x86_64 kernel. I have also upgraded alsa-drivers to 1.0.20, but the problem remains.

The board is stock Intel D975XBX [1].

Before upgrading to F11, there was no static on the left channel, but when alsa kernel drivers were upgraded to 1.0.20, static is always heard on left channel (i.e. I was not able to "fix" the problem by rebooting computer).

Since PCI timings are suspected, here is output for HDA PCI device:

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
	Subsystem: Intel Corporation Device 0417
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at e0400000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

Info, generated from alsa-info.sh will be attached in the next message.

FYI, the same bug is reported on Ubuntu [2] and is already tracked at ALSA development site [3]. Since the problem happens in F11 all the time, I think that the severity of this bug should be raised. This bug is really (__REALLY__!) annoying, it effectively strips "HD" from HDA ;)

Perhaps some additional info is hidden in the output of "alsactl init 0":

Unknown hardware: "HDA-Intel" "SigmaTel STAC9221D A2" "HDA:83847683,80860417,00103201" "0x8086" "0x0417"
Hardware is initialized using a guess method

BTW: The sound works without _ANY_ problem in WindowsXP.

(I can provide furhter info / debug on request. Also, I can change and recompile drivers if this will help. IMO, PCI protocol analyser is of little use in this case ...)

[1] http://www.intel.com/support/motherboards/desktop/D975XBX/
[2] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/266927
[3] https://bugtrack.alsa-project.org/alsa-bug/view.php?id=4610

Comment 9 Uros Bizjak 2009-08-07 11:22:20 UTC
Created attachment 356637 [details]
alsa-info.txt

Comment 10 Bug Zapper 2009-11-18 12:35:20 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2009-12-18 06:13:40 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.